#
# spec file for package cloop (Version 2.01)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           cloop
BuildRequires:  kernel-source kernel-syms
License:        GPL v2 or later
Group:          System/Base
Version:        2.01
Release:        22.14.27
Source0:        %{name}_%{version}-1.tar.gz
Source1:        Makefile
Patch0:         %{name}-largefile-patch
Patch1:         %{name}-kernel-2.6.8-patch
Patch2:         %{name}-not-in-mem
Patch3:         %{name}-buffercount-fix
Patch4:         convert-MODULE_PARM.diff
Url:            http://developer.linuxtag.net/knoppix/sources/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Transparently Decompressing Loopback Block Device Utilities
%suse_kernel_module_package kdump um

%description
Utilities to create and read cloop image files.



Authors:
--------
    Paul "Rusty" Russel
    Klaus Knopper

%package KMP
License:        GPL v2 or later
Group:          System/Base
Summary:        Transparently Decompressing Loopback Block Device Utilities

%description KMP
Utilities to create and read cloop image files.



Authors:
--------
    Paul "Rusty" Russel
    Klaus Knopper

%prep
%setup -n %{name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3
%patch4 -p1

%build
gcc -O2 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DGNU_SOURCE -o create_compressed_fs create_compressed_fs.c -lz 
gcc -O2 -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -DGNU_SOURCE -o extract_compressed_fs extract_compressed_fs.c -lz 
mkdir source obj
cp compressed_loop.{c,h} %_sourcedir/Makefile source/
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	 M=$PWD/obj/$flavor
done

%install
[ "$RPM_BUILD_ROOT" != "" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/sbin
cp -p *_compressed_fs $RPM_BUILD_ROOT/usr/sbin/.
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%clean
[ "$RPM_BUILD_ROOT" != "" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc README debian/changelog
/usr/sbin/*_compressed_fs

%changelog
* Sun Apr  2 2006 agruen@suse.de
- convert-MODULE_PARM.diff: Convert from the obsolete MODULE_PARM
  to the new module_param.
* Fri Mar  3 2006 snwint@suse.de
- create_compressed_fs liked to add zero-length buffer and failed
* Sat Feb  4 2006 agruen@suse.de
- Convert to a Kernel Module Package.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri May 27 2005 ro@suse.de
- remove nonsense from neededforbuild
* Thu Mar 17 2005 duwe@suse.de
- if input size is known and output is seekable,
  don't keep the resulting cfs in RAM
* Thu Sep  2 2004 duwe@suse.de
- ported to kernel 2.6.8
